org.apache.tomcat.util.bcel.classfile

## Class Unknown

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Attribute
  - - org.apache.tomcat.util.bcel.classfile.Unknown

All Implemented Interfaces:
  Serializable, Cloneable

    public final class Unknown
    extends Attribute

This class represents a reference to an unknown (i.e., application-specific) attribute of a class. It is instantiated from the Attribute.readAttribute() method. Applications that need to read in application-specific attributes should create an AttributeReader implementation and attach it via Attribute.addAttributeReader.

Author:
  M. Dahm
See Also:
  `Attribute`, `AttributeReader`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`constant_pool, length, name_index, tag`

### Constructor Summary

Constructors
Constructor and Description
`Unknown(int name_index, int length, byte[] bytes, ConstantPool constant_pool)` Create a non-standard attribute.

### Method Summary

Methods
`Attribute` `copy(ConstantPool _constant_pool)`
`String` `getName()`
`String` `toString()`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute

`clone, getTag, readAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Unknown

    public Unknown(int name_index,
           int length,
           byte[] bytes,
           ConstantPool constant_pool)

Create a non-standard attribute.

Parameters:
  `name_index` - Index in constant pool
  `length` - Content length in bytes
  `bytes` - Attribute contents
  `constant_pool` - Array of constants

### Method Detail

#### getName

    public final String getName()

Overrides:
  `getName` in class `Attribute`
Returns:
  name of attribute.

#### toString

    public final String toString()

Overrides:
  `toString` in class `Attribute`
Returns:
  String representation.

#### copy

    public Attribute copy(ConstantPool _constant_pool)

Specified by:
  `copy` in class `Attribute`
Returns:
  deep copy of this attribute